Skip to main content
`Ctrl`+`K`

# VecScatter

Object used to manage communication of data between vectors in parallel or between parallel and sequential vectors. Manages both scatters and gathers

## Synopsis

    typedef PetscSF VecScatter;

## Note

This is an alias for `PetscSF`.

## See Also

PetscSF - an alternative to low-level MPI calls for data communication, `Vec`, `PetscSF`, `VecScatterCreate()`, `VecScatterBegin()`, `VecScatterEnd()`

## Level

beginner

## Location

include/petscsftypes.h

## Examples

src/tao/constrained/tutorials/ex1.c
src/dm/tutorials/ex14.c
src/ksp/ksp/tutorials/ex73.c
src/ksp/ksp/tutorials/ex49.c
src/tao/pde_constrained/tutorials/elliptic.c
src/dm/tutorials/ex22.c
src/dm/tutorials/ex6.c
src/dm/tutorials/ex25.c
src/ksp/ksp/tutorials/ex43.c

Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages